#!/bin/bash
# makePages.sh: part of RetroText by Anna Christina Naß
# released under GPL
#
# erstellt für alle CEPT-Seiten (.cm) CEPT-Dateien (.cept) mit Hilfe von tools/makePage.py
# Quelldateien: pages/src/*.cm
# Zieldateien : pages/*.cept
#
# Dateien werden nur erstellt (und überschrieben), wenn die Zieldatei älter als die
# Quelldatei ist (ähnlich wie bei "make")

for i in ./pages/src/*.cm; do
  src=${i}
  dst=./pages/$(basename ${i} .cm).cept
  doit=no
  if [[ $1 == "-f" ]]; then
    doit=yes
  fi

  echo -n "${src} -> ${dst}: "

  # Status sammeln und anzeigen
  if [[ ( ! -e ${dst} ) ]]; then
    echo -n "xx"
    doit=yes
  elif [[ ( ${src} -nt ${dst} ) ]]; then
    echo -n "++"
    doit=yes
  else
    echo -n "--"
  fi

  # wenn Ziel nicht existiert oder älter ist, nun Datei neu erzeugen
  if [[ ${doit} == "yes" ]]; then
    ./tools/makePage.py -i ${src} -o ${dst}
    echo " ."
  else
    echo ""
  fi
done
